package com.ssj.bean.course.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月19日 上午9:56:40 
 * 类说明 
 */
@Entity
@Table(name="tb_course_lib_feedback")
public class CourseDetailFeedbackLib extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7883204619208701198L;
	
	/**
	 *老师userId
	 */
	private String userId; 
	/**
	 * 图书馆
	 */
	private String libId;
	/**
	 * 课程id
	 */
	private String courseDetailsId;
	/**
	 * 课程系列id
	 */
	private String courseSeriesId;
	/**
	 * 课程时间
	 */
	private Date openTime;
	
	/**
	 * 是否发送 0-未发送-1已发送
	 */
	private Integer isSend;
	
	/**
	 * 课程内容(存在修改与录入课件内容不一致)
	 */
	private String courseContent;
	
	/**
	 * 今日课堂(存入json格式)
	 */
	private String todayLine;
	
	/**
	 * 课后小任务
	 */
	private String courseTask;
	
	/**
	 * 老师有话说
	 */
	private String teacherSay;
	

	/**
	   * 创建时间
	   */
	private Date createTime;


	public String getUserId() {
		return userId;
	}


	public void setUserId(String userId) {
		this.userId = userId;
	}


	public String getLibId() {
		return libId;
	}


	public void setLibId(String libId) {
		this.libId = libId;
	}


	public String getCourseDetailsId() {
		return courseDetailsId;
	}


	public void setCourseDetailsId(String courseDetailsId) {
		this.courseDetailsId = courseDetailsId;
	}


	public String getCourseSeriesId() {
		return courseSeriesId;
	}


	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}


	public Date getOpenTime() {
		return openTime;
	}


	public void setOpenTime(Date openTime) {
		this.openTime = openTime;
	}


	public Integer getIsSend() {
		return isSend;
	}


	public void setIsSend(Integer isSend) {
		this.isSend = isSend;
	}


	public String getCourseContent() {
		return courseContent;
	}


	public void setCourseContent(String courseContent) {
		this.courseContent = courseContent;
	}


	public String getTodayLine() {
		return todayLine;
	}


	public void setTodayLine(String todayLine) {
		this.todayLine = todayLine;
	}


	public String getCourseTask() {
		return courseTask;
	}


	public void setCourseTask(String courseTask) {
		this.courseTask = courseTask;
	}


	public Date getCreateTime() {
		return createTime;
	}


	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}


	public String getTeacherSay() {
		return teacherSay;
	}


	public void setTeacherSay(String teacherSay) {
		this.teacherSay = teacherSay;
	}

	
}
